Because large enterprises must often perform phased upgrades, VMware View components are designed to be somewhat forward and backward compatible, at least during upgrades.

View Connection Server compatibility with View Agents is limited to interoperability during a View Connection Server upgrade. You must upgrade View Agents as soon as possible to match the version of the View Connection Server that manages them.

The following tables list the components of VMware View and show whether they are compatible with other components whose version is different. For information about compatibility with VMware Infrastructure and vSphere, see Virtualization Software Requirements for View Connection Server.

Compatibility Matrix for VMware View 5.1 and 5.0.x Components

Connection Server 5.0.x

Security Server 5.0.x (PCoIP and RDP)

View Composer 2.7

View Agent 5.0.x

View Client (Windows) 5.0.x

View Transfer Server 5.0.x

View Client with Local Mode 5.0.x

Connection Server 5.1

Only during upgrade

Only if paired before upgrade

No

Only during upgrade

Yes

No

Yes

Security Server 5.1 (PCoIP and RDP)

No

N/A

No

Only during upgrade

Yes

No

Yes

View Composer 3.0

Only during upgrade

Only during upgrade

N/A

Only during upgrade

N/A

N/A

N/A

View Agent 5.1

No

No

No

N/A

Only during upgrade

Yes

Yes

View Client (Windows) 5.1

5.0.1 Connection Server only

Yes

Yes

Yes

N/A

Yes

N/A

View Transfer Server 5.1

No

N/A

N/A

Yes

N/A

N/A

Yes

View Client with Local Mode 5.1

5.0.1 Connection Server only

Yes

Yes

Yes

N/A

Yes

N/A

Although View Client 5.1 can work with View Connection Server 5.0.0, the View 5.1 security enhancements and certificate checking are available only with View Connection Server 5.0.1 and 5.1.

Compatibility Matrix for VMware View 5.1 and 4.6.x Components

Connection Server 4.6.x

Security Server 4.6.x (PCoIP and RDP)

View Composer 2.6

View Agent 4.6.x

View Client (Windows) 4.6.x

View Transfer Server 4.6.x

View Client with Local Mode 4.6.x

Connection Server 5.1

Only during upgrade

Only if paired before upgrade

No

Only during upgrade

5.0.1 client only

No

5.0.1 client only

Security Server 5.1 (PCoIP and RDP)

No

N/A

No

Only during upgrade

5.0.1 client only

No

5.0.1 client only

View Composer 3.0

Only during upgrade

Only during upgrade

N/A

Only during upgrade

N/A

N/A

N/A

View Agent 5.1

No

No

No

N/A

Only during upgrade

Yes

Yes

View Client (Windows) 5.1

4.6.1 Connection Server only

4.6.1 security server only

Yes

Yes

N/A

Yes

N/A

View Transfer Server 5.1

No

N/A

N/A

Yes

N/A

N/A

Yes

View Client with Local Mode 5.1

4.6.1 Connection Server only

4.6.1 security server only

Yes

Yes

N/A

Yes

N/A

Caution

During an upgrade to View 5.1, View does not support View Composer provisioning and maintenance operations, local mode operations, or View Transfer Server publish operations. Operations such as provisioning and recomposing linked-clone desktops, checking out or checking in desktops, and publishing View Composer base images are not supported during the transitional period when any View servers are still running the earlier version. You can successfully perform these operations only when all instances of View Connection Server, View Composer, and View Transfer Server have been upgraded to View 5.1.

For details about which versions of VMware View are compatible with which versions of vCenter Server and ESX/ESXi, see the VMware Product Interoperability Matrix at http://www.vmware.com/resources/compatibility/sim/interop_matrix.php.